# -*- coding: utf-8 -*-
# Generated by Django 1.11.2 on 2017-06-17 14:13
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import tethys_compute.graveyard


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='CondorPyJob',
            fields=[
                ('condorpyjob_id', models.AutoField(primary_key=True, serialize=False)),
                ('_attributes', tethys_compute.graveyard.DictionaryField(default='')),
                ('_num_jobs', models.IntegerField(default=1)),
                ('_remote_input_files', tethys_compute.graveyard.ListField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='CondorPyWorkflow',
            fields=[
                ('condorpyworkflow_id', models.AutoField(primary_key=True, serialize=False)),
                ('_max_jobs', tethys_compute.graveyard.DictionaryField(blank=True, default='')),
                ('_config', models.CharField(blank=True, max_length=1024, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='CondorWorkflowNode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=1024)),
                ('pre_script', models.CharField(blank=True, max_length=1024, null=True)),
                ('pre_script_args', models.CharField(blank=True, max_length=1024, null=True)),
                ('post_script', models.CharField(blank=True, max_length=1024, null=True)),
                ('post_script_args', models.CharField(blank=True, max_length=1024, null=True)),
                ('variables', tethys_compute.graveyard.DictionaryField(blank=True, default='')),
                ('priority', models.IntegerField(blank=True, null=True)),
                ('category', models.CharField(blank=True, max_length=128, null=True)),
                ('retry', models.PositiveSmallIntegerField(blank=True, null=True)),
                ('retry_unless_exit_value', models.IntegerField(blank=True, null=True)),
                ('pre_skip', models.IntegerField(blank=True, null=True)),
                ('abort_dag_on', models.IntegerField(blank=True, null=True)),
                ('abort_dag_on_return_value', models.IntegerField(blank=True, null=True)),
                ('dir', models.CharField(blank=True, max_length=1024, null=True)),
                ('noop', models.BooleanField(default=False)),
                ('done', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Scheduler',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=1024)),
                ('host', models.CharField(max_length=1024)),
                ('username', models.CharField(blank=True, max_length=1024, null=True)),
                ('password', models.CharField(blank=True, max_length=1024, null=True)),
                ('private_key_path', models.CharField(blank=True, max_length=1024, null=True)),
                ('private_key_pass', models.CharField(blank=True, max_length=1024, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='TethysJob',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=1024)),
                ('description', models.CharField(blank=True, default='', max_length=2048)),
                ('label', models.CharField(max_length=1024)),
                ('creation_time', models.DateTimeField(auto_now_add=True)),
                ('execute_time', models.DateTimeField(blank=True, null=True)),
                ('start_time', models.DateTimeField(blank=True, null=True)),
                ('completion_time', models.DateTimeField(blank=True, null=True)),
                ('workspace', models.CharField(default='', max_length=1024)),
                ('extended_properties', tethys_compute.graveyard.DictionaryField(blank=True, default='')),
                ('_process_results_function', models.CharField(blank=True, max_length=1024, null=True)),
                ('_status', models.CharField(choices=[('PEN', 'Pending'), ('SUB', 'Submitted'), ('RUN', 'Running'),
                                                      ('COM', 'Complete'), ('ERR', 'Error'), ('ABT', 'Aborted'),
                                                      ('VAR', 'Various'), ('VCP', 'Various-Complete')], default='PEN',
                                             max_length=3)),
            ],
            options={
                'verbose_name': 'Job',
            },
        ),
        migrations.CreateModel(
            name='BasicJob',
            fields=[
                ('tethysjob_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                                       parent_link=True, primary_key=True, serialize=False,
                                                       to='tethys_compute.TethysJob')),
            ],
            bases=('tethys_compute.tethysjob',),
        ),
        migrations.CreateModel(
            name='CondorBase',
            fields=[
                ('tethysjob_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                                       parent_link=True, primary_key=True, serialize=False,
                                                       to='tethys_compute.TethysJob')),
                ('cluster_id', models.IntegerField(blank=True, default=0)),
                ('remote_id', models.CharField(blank=True, max_length=32, null=True)),
            ],
            bases=('tethys_compute.tethysjob',),
        ),
        migrations.CreateModel(
            name='CondorWorkflowJobNode',
            fields=[
                ('condorpyjob_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                                         parent_link=True, to='tethys_compute.CondorPyJob')),
                ('condorworkflownode_ptr', models.OneToOneField(auto_created=True,
                                                                on_delete=django.db.models.deletion.CASCADE,
                                                                parent_link=True, primary_key=True, serialize=False,
                                                                to='tethys_compute.CondorWorkflowNode')),
            ],
            bases=('tethys_compute.condorworkflownode', 'tethys_compute.condorpyjob'),
        ),
        migrations.AddField(
            model_name='tethysjob',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='condorworkflownode',
            name='parent_nodes',
            field=models.ManyToManyField(related_name='children_nodes', to='tethys_compute.CondorWorkflowNode'),
        ),
        migrations.AddField(
            model_name='condorworkflownode',
            name='workflow',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='node_set',
                                    to='tethys_compute.CondorPyWorkflow'),
        ),
        migrations.CreateModel(
            name='CondorJob',
            fields=[
                ('condorpyjob_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                                         parent_link=True, to='tethys_compute.CondorPyJob')),
                ('condorbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                                        parent_link=True, primary_key=True, serialize=False,
                                                        to='tethys_compute.CondorBase')),
            ],
            bases=('tethys_compute.condorbase', 'tethys_compute.condorpyjob'),
        ),
        migrations.CreateModel(
            name='CondorWorkflow',
            fields=[
                ('condorpyworkflow_ptr', models.OneToOneField(auto_created=True,
                                                              on_delete=django.db.models.deletion.CASCADE,
                                                              parent_link=True, to='tethys_compute.CondorPyWorkflow')),
                ('condorbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                                        parent_link=True, primary_key=True, serialize=False,
                                                        to='tethys_compute.CondorBase')),
            ],
            bases=('tethys_compute.condorbase', 'tethys_compute.condorpyworkflow'),
        ),
        migrations.AddField(
            model_name='condorbase',
            name='scheduler',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    to='tethys_compute.Scheduler'),
        ),
    ]
