# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-10-02 20:08
from django.db import migrations, models
import django.db.models.deletion
from tethys_compute.models.dask.dask_field import DaskSerializedField


DATA_LIST = []


def scheduler_export(apps, schema_editor):
    Scheduler = apps.get_model('tethys_compute', 'Scheduler')
    for scheduler in Scheduler.objects.all():
        data_dict = dict()
        data_dict['id'] = scheduler.id
        data_dict['name'] = scheduler.name
        data_dict['host'] = scheduler.host
        data_dict['username'] = scheduler.username
        data_dict['password'] = scheduler.password
        data_dict['private_key_pass'] = scheduler.private_key_pass
        data_dict['private_key_path'] = scheduler.private_key_path
        DATA_LIST.append(data_dict)


def data_import(apps, schema_editor):
    Scheduler = apps.get_model('tethys_compute', 'Scheduler')
    CondorScheduler = apps.get_model('tethys_compute', 'CondorScheduler')
    for data in DATA_LIST:
        s_data = Scheduler.objects.get(id=data['id'])
        cs_data = CondorScheduler(name=data['name'], host=data['host'], scheduler_ptr=s_data, username=data['username'],
                                  password=data['password'], private_key_pass=data['private_key_pass'],
                                  private_key_path=data['private_key_path'])

        cs_data.save()


class Migration(migrations.Migration):

    dependencies = [
        ('tethys_compute', '0001_initial_20'),
    ]

    operations = [
        migrations.RunPython(scheduler_export),
        migrations.RemoveField(
            model_name='scheduler',
            name='password',
        ),
        migrations.RemoveField(
            model_name='scheduler',
            name='private_key_pass',
        ),
        migrations.RemoveField(
            model_name='scheduler',
            name='private_key_path',
        ),
        migrations.RemoveField(
            model_name='scheduler',
            name='username',
        ),
        migrations.CreateModel(
            name='CondorScheduler',
            fields=[
                ('scheduler_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                                       parent_link=True, primary_key=True, serialize=False,
                                                       to='tethys_compute.Scheduler')),
                ('username', models.CharField(blank=True, max_length=1024, null=True)),
                ('password', models.CharField(blank=True, max_length=1024, null=True)),
                ('private_key_path', models.CharField(blank=True, max_length=1024, null=True)),
                ('private_key_pass', models.CharField(blank=True, max_length=1024, null=True)),
            ],
            bases=('tethys_compute.scheduler',),
        ),
        migrations.CreateModel(
            name='DaskScheduler',
            fields=[
                ('scheduler_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='tethys_compute.Scheduler')),
                ('timeout', models.IntegerField(blank=True, default=0)),
                ('heartbeat_interval', models.IntegerField(blank=True, default=0)),
                ('dashboard', models.CharField(blank=True, max_length=255, null=True)),
            ],
            bases=('tethys_compute.scheduler',),
        ),
        migrations.CreateModel(
            name='DaskJob',
            fields=[
                ('tethysjob_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                                       parent_link=True, primary_key=True, serialize=False,
                                                       to='tethys_compute.TethysJob')),
                ('key', models.CharField(max_length=1024, null=True)),
                ('forget', models.BooleanField(default=False)),
                ('result', DaskSerializedField(blank=True, null=True)),
            ],
            bases=('tethys_compute.tethysjob',),
        ),
        migrations.RunPython(data_import),
        migrations.AlterField(
            model_name='condorbase',
            name='scheduler',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    to='tethys_compute.CondorScheduler'),
        ),
        migrations.AddField(
            model_name='daskjob',
            name='scheduler',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                    to='tethys_compute.DaskScheduler'),
        ),
        migrations.AlterField(
            model_name='tethysjob',
            name='_status',
            field=models.CharField(
                choices=[('PEN', 'Pending'), ('SUB', 'Submitted'), ('RUN', 'Running'), ('COM', 'Complete'),
                         ('ERR', 'Error'), ('ABT', 'Aborted'), ('VAR', 'Various'), ('VCP', 'Various-Complete'),
                         ('RES', 'Results-Ready')], default='PEN', max_length=3),
        ),
    ]
